Cancel visit
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/visit-cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"calendarEventId": "<string>",
"rebookBy": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
calendarEventId: '<string>',
rebookBy: '<string>',
note: '<string>'
})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/visit-cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/visit-cancel"
payload = {
"requestId": "<string>",
"calendarEventId": "<string>",
"rebookBy": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"repairId": "<string>",
"changes": [
{
"id": "<string>",
"kind": "booked",
"askedBy": "tenant",
"reason": "tenant_unavailable",
"note": "<string>",
"agreedWithContractor": "phone",
"rebookBy": "<string>",
"fromCalendarEventId": "<string>",
"fromStartsAt": "<string>",
"toCalendarEventId": "<string>",
"toStartsAt": "<string>",
"notified": {
"tenant": true,
"landlord": true,
"contractor": true
},
"source": "staff",
"recordedBy": "<string>",
"recordedAt": "<string>"
}
],
"changedBy": {
"tenant": 123,
"contractor": 123,
"agency": 123
},
"suggestChangeContractor": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Cancel visit
Cancel the repair’s booked visit with no new date; the repair goes back to its contractor to rebook
POST
/
maintenance-pro
/
repairs
/
{id}
/
visit-cancel
Cancel visit
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/visit-cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"calendarEventId": "<string>",
"rebookBy": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
calendarEventId: '<string>',
rebookBy: '<string>',
note: '<string>'
})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/visit-cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/visit-cancel"
payload = {
"requestId": "<string>",
"calendarEventId": "<string>",
"rebookBy": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"repairId": "<string>",
"changes": [
{
"id": "<string>",
"kind": "booked",
"askedBy": "tenant",
"reason": "tenant_unavailable",
"note": "<string>",
"agreedWithContractor": "phone",
"rebookBy": "<string>",
"fromCalendarEventId": "<string>",
"fromStartsAt": "<string>",
"toCalendarEventId": "<string>",
"toStartsAt": "<string>",
"notified": {
"tenant": true,
"landlord": true,
"contractor": true
},
"source": "staff",
"recordedBy": "<string>",
"recordedAt": "<string>"
}
],
"changedBy": {
"tenant": 123,
"contractor": 123,
"agency": 123
},
"suggestChangeContractor": true
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Available options:
tenant, contractor, agency Available options:
tenant_unavailable, tenant_called_office, emergency_elsewhere, job_overran, illness, vehicle, parts, other